[postgis-tickets] r17055 - Travis: Add missing task file

Raul raul at rmr.ninja
Thu Nov 22 07:24:42 PST 2018


Author: algunenano
Date: 2018-11-22 07:24:41 -0800 (Thu, 22 Nov 2018)
New Revision: 17055

Added:
   trunk/ci/travis/run_usan_clang.sh
Log:
Travis: Add missing task file



Added: trunk/ci/travis/run_usan_clang.sh
===================================================================
--- trunk/ci/travis/run_usan_clang.sh	                        (rev 0)
+++ trunk/ci/travis/run_usan_clang.sh	2018-11-22 15:24:41 UTC (rev 17055)
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -e
+
+# Enable undefined behaviour sanitizer using traps
+CFLAGS_STD="-g3 -O0 -mtune=generic -fno-omit-frame-pointer -fsanitize=undefined -fsanitize-undefined-trap-on-error"
+LDFLAGS_STD="-Wl,-Bsymbolic-functions -Wl,-z,relro"
+
+/usr/local/pgsql/bin/pg_ctl -c -l /tmp/logfile start
+./autogen.sh
+
+# Build with Clang and usan flags
+# TODO: Fix topology ubsan
+./configure CC=clang CFLAGS="${CFLAGS_STD}" LDFLAGS="${LDFLAGS_STD}" --without-topology
+bash ./ci/travis/logbt -- make -j check RUNTESTFLAGS=--verbose



More information about the postgis-tickets mailing list